﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinScrollBar;

namespace WindowsFormsApplication408
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = GetTable();
        }

        static DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now); 
            
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            return table;
        }

        ScrollArrowUIElement arrow;
        private void ultraGrid1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is ScrollArrowUIElement)
            {
                arrow = (ScrollArrowUIElement)e.Element;
                switch (arrow.Direction)
                {
                    case ScrollButton.Down: Console.WriteLine("Down arrow");
                        break;
                    case ScrollButton.Up: Console.WriteLine("Up arrow");
                        break;
                }
            }
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            Infragistics.Win.UltraWinGrid.RowScrollbarUIElement aRowScrollbarUIElement;
            aRowScrollbarUIElement = (Infragistics.Win.UltraWinGrid.RowScrollbarUIElement)ultraGrid1.DisplayLayout.UIElement.GetDescendant(typeof(Infragistics.Win.UltraWinGrid.RowScrollbarUIElement));
            Console.WriteLine(aRowScrollbarUIElement);
        }
    }
}
